Classes | Typedefs | Functions | Variables
patch_tab.h File Reference

Go to the source code of this file.

## Classes
struct | msg_tab_item_t
struct | hci_cmd_tab_item_t
struct | gapm_hci_evt_tab_item_t

## Typedefs
typedef uint16_t | ke_task_id_t
typedef uint16_t | ke_msg_id_t
typedef int(* | ke_msg_func_t) (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
typedef int(* | llm_hci_cmd_hdl_func_t) (void const *param, uint16_t opcode)
typedef int(* | gapm_hci_evt_hdl_func_t) (uint16_t opcode, void const *param)

## Functions
__WEAK void | ble_con_env_init (void)
__WEAK void | ble_adv_env_init (void)
__WEAK void | ble_per_adv_env_init (void)
__WEAK void | ble_scan_env_init (void)
__WEAK void | ble_sync_env_init (void)
__WEAK void | ble_adv_param_init (uint8_t max_connections)
int | host_to_sdk_msg_handler_patch (ke_msg_id_t const msgid, void *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | gap_activity_stopped_ind_handler_patch (ke_msg_id_t const msgid, void const *p_param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | gapm_cmp_evt_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | gap_dev_bdaddr_ind_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | llm_hci_command_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | llc_hci_command_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | hci_le_add_dev_to_wlst_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_le_rmv_dev_from_wlst_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_le_clear_wlst_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_le_clear_rslv_list_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_le_add_dev_to_rslv_list_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_le_set_priv_mode_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_le_set_addr_resol_en_cmd_handler_patch (void *param, uint16_t opcode)
int | hci_dbg_ble_reg_wr_cmd_handler_patch (void const *param, uint16_t opcode)
int | hci_dbg_ble_reg_rd_cmd_handler_patch (void const *param, uint16_t opcode)
int | gapm_set_dev_config_cmd_handler_patch (ke_msg_id_t const msgid, void *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | lld_init_end_ind_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | llm_ch_map_to_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | ble_sdk_gattc_prf_cmp_evt_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | ble_sdk_gattc_prf_event_ind_handler_patch (ke_msg_id_t const msgid, void *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
int | ble_sdk_gattc_prf_sdp_srvc_ind_handler_patch (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)
void | reg_hci_cmd_patch_tab (hci_cmd_tab_item_t *hci_cmd_tab, uint16_t hci_cmd_cnt)
void | reg_msg_patch_tab (msg_tab_item_t *msg_tab, uint16_t msg_cnt)
void | reg_gapm_hci_evt_patch_tab (gapm_hci_evt_tab_item_t *gapm_hci_evt_tab, uint16_t gapm_hci_evt_cnt)

## Variables
msg_tab_item_t | msg_tab []
hci_cmd_tab_item_t | hci_cmd_tab []
gapm_hci_evt_tab_item_t | gapm_hci_evt_tab []

## Typedef Documentation

## ◆ gapm_hci_evt_hdl_func_t

typedef int(* gapm_hci_evt_hdl_func_t) (uint16_t opcode, void const *param)

Definition at line 20 of file patch_tab.h.

## ◆ ke_msg_func_t

typedef int(* ke_msg_func_t) (ke_msg_id_t const msgid, void const *param, ke_task_id_t const dest_id, ke_task_id_t const src_id)

Definition at line 15 of file patch_tab.h.

## ◆ ke_msg_id_t

typedef uint16_t ke_msg_id_t

Definition at line 13 of file patch_tab.h.

## ◆ ke_task_id_t

typedef uint16_t ke_task_id_t

Definition at line 12 of file patch_tab.h.

## ◆ llm_hci_cmd_hdl_func_t

typedef int(* llm_hci_cmd_hdl_func_t) (void const *param, uint16_t opcode)

Definition at line 18 of file patch_tab.h.

## Function Documentation

## ◆ ble_adv_env_init()

__WEAK void ble_adv_env_init | ( | void |  | ) |

Definition at line 6 of file patch_tab.h.

## ◆ ble_adv_param_init()

__WEAK void ble_adv_param_init | ( | uint8_t | max_connections | ) |

Definition at line 10 of file patch_tab.h.

## ◆ ble_con_env_init()

__WEAK void ble_con_env_init | ( | void |  | ) |

Definition at line 5 of file patch_tab.h.

## ◆ ble_per_adv_env_init()

__WEAK void ble_per_adv_env_init | ( | void |  | ) |

Definition at line 7 of file patch_tab.h.

## ◆ ble_scan_env_init()

__WEAK void ble_scan_env_init | ( | void |  | ) |

Definition at line 8 of file patch_tab.h.

## ◆ ble_sdk_gattc_prf_cmp_evt_handler_patch()

int ble_sdk_gattc_prf_cmp_evt_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ ble_sdk_gattc_prf_event_ind_handler_patch()

int ble_sdk_gattc_prf_event_ind_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ ble_sdk_gattc_prf_sdp_srvc_ind_handler_patch()

int ble_sdk_gattc_prf_sdp_srvc_ind_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ ble_sync_env_init()

__WEAK void ble_sync_env_init | ( | void |  | ) |

Definition at line 9 of file patch_tab.h.

## ◆ gap_activity_stopped_ind_handler_patch()

int gap_activity_stopped_ind_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | p_param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ gap_dev_bdaddr_ind_handler_patch()

int gap_dev_bdaddr_ind_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ gapm_cmp_evt_handler_patch()

int gapm_cmp_evt_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ gapm_set_dev_config_cmd_handler_patch()

int gapm_set_dev_config_cmd_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ hci_dbg_ble_reg_rd_cmd_handler_patch()

int hci_dbg_ble_reg_rd_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_dbg_ble_reg_wr_cmd_handler_patch()

int hci_dbg_ble_reg_wr_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_add_dev_to_rslv_list_cmd_handler_patch()

int hci_le_add_dev_to_rslv_list_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_add_dev_to_wlst_cmd_handler_patch()

int hci_le_add_dev_to_wlst_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_clear_rslv_list_cmd_handler_patch()

int hci_le_clear_rslv_list_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_clear_wlst_cmd_handler_patch()

int hci_le_clear_wlst_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_rmv_dev_from_wlst_cmd_handler_patch()

int hci_le_rmv_dev_from_wlst_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_set_addr_resol_en_cmd_handler_patch()

int hci_le_set_addr_resol_en_cmd_handler_patch | ( | void * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ hci_le_set_priv_mode_cmd_handler_patch()

int hci_le_set_priv_mode_cmd_handler_patch | ( | void const * | param,
|  | uint16_t | opcode
| ) |  |

## ◆ host_to_sdk_msg_handler_patch()

int host_to_sdk_msg_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ llc_hci_command_handler_patch()

int llc_hci_command_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ lld_init_end_ind_handler_patch()

int lld_init_end_ind_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ llm_ch_map_to_handler_patch()

int llm_ch_map_to_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ llm_hci_command_handler_patch()

int llm_hci_command_handler_patch | ( | ke_msg_id_t const | msgid,
|  | void const * | param,
|  | ke_task_id_t const | dest_id,
|  | ke_task_id_t const | src_id
| ) |  |

## ◆ reg_gapm_hci_evt_patch_tab()

void reg_gapm_hci_evt_patch_tab | ( | gapm_hci_evt_tab_item_t * | gapm_hci_evt_tab,
|  | uint16_t | gapm_hci_evt_cnt
| ) |  |

## ◆ reg_hci_cmd_patch_tab()

void reg_hci_cmd_patch_tab | ( | hci_cmd_tab_item_t * | hci_cmd_tab,
|  | uint16_t | hci_cmd_cnt
| ) |  |

## ◆ reg_msg_patch_tab()

void reg_msg_patch_tab | ( | msg_tab_item_t * | msg_tab,
|  | uint16_t | msg_cnt
| ) |  |

## Variable Documentation

## ◆ gapm_hci_evt_tab

gapm_hci_evt_tab_item_t gapm_hci_evt_tab[]

Initial value:
=
{
{NULL, NULL},
}

Definition at line 308 of file patch_tab.h.

## ◆ hci_cmd_tab

hci_cmd_tab_item_t hci_cmd_tab[]

Initial value:
=
{
{(llm_hci_cmd_hdl_func_t)0x00024711, (llm_hci_cmd_hdl_func_t)hci_le_add_dev_to_wlst_cmd_handler_patch},
{(llm_hci_cmd_hdl_func_t)0x000281f5, (llm_hci_cmd_hdl_func_t)hci_le_rmv_dev_from_wlst_cmd_handler_patch},
{(llm_hci_cmd_hdl_func_t)0x00024fa1, (llm_hci_cmd_hdl_func_t)hci_le_clear_wlst_cmd_handler_patch},
{(llm_hci_cmd_hdl_func_t)0x000283b5, (llm_hci_cmd_hdl_func_t)hci_le_set_addr_resol_en_cmd_handler_patch},
{(llm_hci_cmd_hdl_func_t)0x00024f75, (llm_hci_cmd_hdl_func_t)hci_le_clear_rslv_list_cmd_handler_patch},
{(llm_hci_cmd_hdl_func_t)0x00024681, (llm_hci_cmd_hdl_func_t)hci_le_add_dev_to_rslv_list_cmd_handler_patch},
{(llm_hci_cmd_hdl_func_t)0x0002a99d, (llm_hci_cmd_hdl_func_t)hci_le_set_priv_mode_cmd_handler_patch},
}

Definition at line 281 of file patch_tab.h.

## ◆ msg_tab

msg_tab_item_t msg_tab[]

Definition at line 199 of file patch_tab.h.

hci_le_clear_wlst_cmd_handler_patch
int hci_le_clear_wlst_cmd_handler_patch(void const *param, uint16_t opcode)
hci_le_rmv_dev_from_wlst_cmd_handler_patch
int hci_le_rmv_dev_from_wlst_cmd_handler_patch(void const *param, uint16_t opcode)
hci_le_clear_rslv_list_cmd_handler_patch
int hci_le_clear_rslv_list_cmd_handler_patch(void const *param, uint16_t opcode)
hci_le_set_priv_mode_cmd_handler_patch
int hci_le_set_priv_mode_cmd_handler_patch(void const *param, uint16_t opcode)
llm_hci_cmd_hdl_func_t
int(* llm_hci_cmd_hdl_func_t)(void const *param, uint16_t opcode)
Definition: patch_tab.h:18
hci_le_set_addr_resol_en_cmd_handler_patch
int hci_le_set_addr_resol_en_cmd_handler_patch(void *param, uint16_t opcode)
hci_le_add_dev_to_wlst_cmd_handler_patch
int hci_le_add_dev_to_wlst_cmd_handler_patch(void const *param, uint16_t opcode)
hci_le_add_dev_to_rslv_list_cmd_handler_patch
int hci_le_add_dev_to_rslv_list_cmd_handler_patch(void const *param, uint16_t opcode)